# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%define fedora 19
%if (0%{?fedora} <= 14) && !(0%{?rhel})
%define auto %{perl_vendor_archlib}/auto
%define archlib %{perl_vendor_archlib}
%else
%define auto %{perl_vendorarch}/auto
%define archlib %{perl_vendorarch}
%endif
%define _use_internal_dependency_generator 1

Name:           perl-Crypt-Cracklib
Version:        1.7
Release:        alt2_7
Summary:        Crypt-Cracklib - Perl interface to Alec Muffett's Cracklib

Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Crypt-Cracklib/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DA/DANIEL/Crypt-Cracklib-1.7.tar.gz

BuildRequires:  cracklib-devel
BuildRequires:  perl(inc/Module/Install.pm)
# Run-time:
BuildRequires:  perl(DynaLoader.pm)
BuildRequires:  perl(Exporter.pm)
# Tests:
BuildRequires:  perl(Test/More.pm)
# Optional tests:
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)

Patch0: automake.patch
Source44: import.info

%description
This module providers interaction with the system cracklib libraries.

%prep
%setup -q -n Crypt-Cracklib-%{version}
%patch0 -p0 -b .automake
rm -rf inc

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} ';' 2>/dev/null
# %{_fixperms} $RPM_BUILD_ROOT/*
find $RPM_BUILD_ROOT -name Cracklib.bs -exec rm -f {} ';'

mkdir -p -m0700 $RPM_BUILD_ROOT%{_defaultdocdir}/perl-Crypt-Cracklib-%{version}
install -m 0644 Changes $RPM_BUILD_ROOT%{_defaultdocdir}/perl-Crypt-Cracklib-%{version}/Changes
install -m 0644 README $RPM_BUILD_ROOT%{_defaultdocdir}/perl-Crypt-Cracklib-%{version}/README

%files
%dir %{auto}/Crypt
%dir %{auto}/Crypt/Cracklib
%{archlib}/Crypt/Cracklib.pm
%{auto}/Crypt/Cracklib/*
%doc Changes README

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.7-alt2_7
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 1.7-alt2_6
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_6
- update to new release by fcimport

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_4
- fc import

